## org.apache.mahout.clustering.dirichlet.models
Class AbstractVectorModelDistribution

    java.lang.Object
      org.apache.mahout.clustering.dirichlet.models.AbstractVectorModelDistribution

All Implemented Interfaces:
  ModelDistribution<VectorWritable>

Direct Known Subclasses:
  AsymmetricSampledNormalDistribution, DistanceMeasureClusterDistribution, GaussianClusterDistribution, L1ModelDistribution, NormalModelDistribution

    public abstract class AbstractVectorModelDistribution

extends java.lang.Object
implements ModelDistribution<VectorWritable>

Field Summary
`static java.lang.reflect.Type` `MODEL_DISTRIBUTION_TYPE`

Constructor Summary
`protected` `AbstractVectorModelDistribution()`
`protected` `AbstractVectorModelDistribution(VectorWritable modelPrototype)`

Method Summary
`java.lang.String` `asJsonString()` Return a JSON string representing the receiver.
`VectorWritable` `getModelPrototype()`
`void` `setModelPrototype(VectorWritable modelPrototype)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mahout.clustering.ModelDistribution
`sampleFromPosterior, sampleFromPrior`

Field Detail

### MODEL_DISTRIBUTION_TYPE

    public static final java.lang.reflect.Type MODEL_DISTRIBUTION_TYPE

Constructor Detail

### AbstractVectorModelDistribution

    protected AbstractVectorModelDistribution()

### AbstractVectorModelDistribution

    protected AbstractVectorModelDistribution(VectorWritable modelPrototype)

Method Detail

### asJsonString

    public java.lang.String asJsonString()

  Description copied from interface: `ModelDistribution`
  Return a JSON string representing the receiver. Needed to pass persistent state.

  Specified by:
    `asJsonString` in interface `ModelDistribution<VectorWritable>`
  Returns:
    a String

### getModelPrototype

    public VectorWritable getModelPrototype()

  Returns:
    the modelPrototype

### setModelPrototype

    public void setModelPrototype(VectorWritable modelPrototype)

  Parameters:
    `modelPrototype` - the modelPrototype to set

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.